View Issue Details

IDProjectCategoryView StatusLast Update
00278112.x IDE BugsRuntimesPublic2018-10-25 16:50
ReporterSteven CampbellAssigned ToAlan Savage 
PriorityMediumSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0027811: If you run out of space while downloading a runtime, it doesn't stop, just starts again
DescriptionIf you somehow manage to run out of space while downloading a runtime, it'll delete that part of the runtime, and re-download it.
This leaves you stuck in an infinite loop.
Steps To ReproduceInstall onto a space constrained device
If you have a dev license ( and therefore pull in ALL runtimes ) it's actually quite big and can run out of space.
When that does happen, it deletes the last bit, and redownloads it, leaving you stuck in a loop.
TagsIDE, startup
2.x IDE Found In2.1.0.212
2.x Runtime Found In2.1.0.136
2.x IDE Verified In2.2.1.355
2.x Runtime Verified In2.2.1.268

Activities

Mike Dailly

2017-09-25 11:37

Developer   ~0055657

Do a basic check before downloading, assume a 2 gigs are needed. Runtimes take about a gig, and you'd need the archives as well.

3gig is minimum requirements.

https://www.yoyogames.com/get

Sam Cumming

2018-04-23 16:41

Developer   ~0058823

Replicated this on 9.2.1.1406 on the Surface tablet (which is probably the easiest device to fill and replicate this with). It shows the following message:

String not found: The selected runtime couldn't finish installing.

Alan Savage

2018-06-25 16:10

Developer   ~0060630

-does drive space check & waits on warning dialog before proceeding with runtime install (during startup install and also when manually installing runtime Preferences->Runtime Feeds )
-fixed the runtime install failed dialog and wait on accepting before retrying runtime install